> For the complete documentation index, see [llms.txt](https://docs.stork.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stork.network/resources/adapters.md).

# Adapters

Adapters for other standard oracle interfaces for Stork

For convenience, Stork has adapter contracts to make it easy to interact with Stork on chain if a contract is already using another oracle and wants to switch or use Stork in parallel.

## EVM

### Chainlink

Stork provides a Chainlink adapter SDK that exposes interface functions for interacting with Stork's contract in the same way you would with Chainlink. This contract can be found in the [stork-external github repo](https://github.com/Stork-Oracle/stork-external/tree/main/chains/evm/contracts/stork_chainlink_adapter). Example usage of this contract can be found in the [stork-external github repo](https://github.com/Stork-Oracle/stork-external/tree/main/chains/evm/examples/stork_chainlink_adapter).

### Pyth

Stork provides a Pyth adapter SDK that exposes interface functions for interacting with Stork's in the same way you would with Pyth. This contract can be found in the [stork-external github repo](https://github.com/Stork-Oracle/stork-external/tree/main/chains/evm/contracts/stork_pyth_adapter). Example usage of this contract can be found in the [stork-external github repo](https://github.com/Stork-Oracle/stork-external/tree/main/chains/evm/examples/stork_pyth_adapter).

{% hint style="info" %}
Looking for an adapter for your current oracle and/or chain? Contact Stork Labs. <sales@stork.network> or [Twitter DMs](https://twitter.com/StorkOracle) open.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.stork.network/resources/adapters.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
